mysql_real_escape_string
mysql_select_db
MySQL Functions
PHP Manual

# mysql_result

(PHP 4, PHP 5, PECL mysql:1.0)

mysql_result — Get result data

### Description

string mysql_result ( resource `$result` , int `$row` [, mixed `$field` ] )

Retrieves the contents of one cell from a MySQL result set.

When working on large result sets, you should consider using one of the functions that fetch an entire row (specified below). As these functions return the contents of multiple cells in one function call, they're MUCH quicker than mysql_result(). Also, note that specifying a numeric offset for the field argument is much quicker than specifying a fieldname or tablename.fieldname argument.

### Parameters

`result`

  The result resource that is being evaluated. This result comes from a call to mysql_query().

`row`

  The row number from the result that's being retrieved. Row numbers start at 0.

`field`

  The name or offset of the field being retrieved.

  It can be the field's offset, the field's name, or the field's table dot field name (tablename.fieldname). If the column name has been aliased ('select foo as bar from...'), use the alias instead of the column name. If undefined, the first field is retrieved.

### Return Values

The contents of one cell from a MySQL result set on success, or `FALSE` on failure.

### Examples

Example #1 mysql_result() example

`<?php
$link = mysql_connect('localhost', 'mysql_user', 'mysql_password');
if (!$link) {
die('Could not connect: ' . mysql_error());
}
$result = mysql_query('SELECT name FROM work.employee');
if (!$result) {
die('Could not query:' . mysql_error());
}
echo mysql_result($result, 2); // outputs third employee's name
mysql_close($link);
?>`

### Notes

> Note: Calls to mysql_result() should not be mixed with calls to other functions that deal with the result set.

### See Also

- mysql_fetch_row()
- mysql_fetch_array()
- mysql_fetch_assoc()
- mysql_fetch_object()

mysql_real_escape_string
mysql_select_db
MySQL Functions
PHP Manual